tigase.jaxmpp.gwt.client.connectors

## Class BoshConnector

- java.lang.Object
- - tigase.jaxmpp.core.client.connector.AbstractBoshConnector
  - - tigase.jaxmpp.gwt.client.connectors.BoshConnector

- All Implemented Interfaces:
    Connector

      public class BoshConnector
      extends AbstractBoshConnector

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.jaxmpp.core.client.connector.AbstractBoshConnector

      `AbstractBoshConnector.BoshPacketReceivedHandler, AbstractBoshConnector.BoshPacketSendingHandler`

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.core.client.Connector

      `Connector.ConnectedHandler, Connector.DisconnectedHandler, Connector.EncryptionEstablishedHandler, Connector.ErrorHandler, Connector.StanzaReceivedHandler, Connector.StanzaSendingHandler, Connector.State, Connector.StateChangedHandler, Connector.StreamTerminatedHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BOSH_IGNORE_SERVER_HOST` property used to disable usage of host attribute to redirect next requests to other hostname

    - ### Fields inherited from class tigase.jaxmpp.core.client.connector.AbstractBoshConnector

      `BOSH_SERVICE_URL_KEY, context, log, requests, RID_KEY, SID_KEY`

    - ### Fields inherited from interface tigase.jaxmpp.core.client.Connector

      `COMPRESSED_KEY, CONNECTOR_STAGE_KEY, CONNECTOR_STAGE_TIMESTAMP_KEY, DISABLE_KEEPALIVE_KEY, ENCRYPTED_KEY, EXTERNAL_KEEPALIVE_KEY, PROXY_HOST, PROXY_PORT, PROXY_TYPE, RECONNECTING_KEY, SEE_OTHER_HOST_KEY, TRUST_MANAGERS_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoshConnector(Context context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `handleSeeOtherHost(Element response)`
    `protected void` | `onError(BoshRequest request, int responseCode, String responseData, Element response, Throwable caught)`
    `protected void` | `onResponse(BoshRequest request, int responseCode, String responseData, Element response)`
    `protected void` | `onTerminate(BoshRequest request, int responseCode, String responseData, Element response)`
    `protected Element` | `prepareBody(Element payload)`
    `protected void` | `processSendData(Element element)`
    `protected void` | `setCurrentWorker(BoshWorker worker)` Keep handle to current BoshWorker instance until stanza is sent

    - ### Methods inherited from class tigase.jaxmpp.core.client.connector.AbstractBoshConnector

      `addToRequests, countActiveRequests, createSessionLogic, fireOnConnected, fireOnError, fireOnStanzaReceived, fireOnTerminate, getSid, getState, isCompressed, isSecure, keepalive, nextRid, prepareBody, prepareRetartBody, prepareStartBody, prepareTerminateBody, removeFromRequests, restartStream, send, send, setSid, setStage, start, stop, stop, terminateAllWorkers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BOSH_IGNORE_SERVER_HOST

          public static final String BOSH_IGNORE_SERVER_HOST

      property used to disable usage of host attribute to redirect next requests to other hostname
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BoshConnector

          public BoshConnector(Context context)

  - ### Method Detail

    - #### prepareBody

          protected Element prepareBody(Element payload)
                                 throws XMLException

      Overrides:
        `prepareBody` in class `AbstractBoshConnector`
      Throws:
        `XMLException`

    - #### onResponse

          protected void onResponse(BoshRequest request,
                                    int responseCode,
                                    String responseData,
                                    Element response)
                             throws JaxmppException

      Overrides:
        `onResponse` in class `AbstractBoshConnector`
      Throws:
        `JaxmppException`

    - #### processSendData

          protected void processSendData(Element element)
                                  throws XMLException,
                                         JaxmppException

      Specified by:
        `processSendData` in class `AbstractBoshConnector`
      Throws:
        `XMLException`
        `JaxmppException`

    - #### setCurrentWorker

          protected void setCurrentWorker(BoshWorker worker)

      Keep handle to current BoshWorker instance until stanza is sent
      Parameters:
        `worker` -

    - #### onError

          protected void onError(BoshRequest request,
                                 int responseCode,
                                 String responseData,
                                 Element response,
                                 Throwable caught)
                          throws JaxmppException

      Overrides:
        `onError` in class `AbstractBoshConnector`
      Throws:
        `JaxmppException`

    - #### onTerminate

          protected void onTerminate(BoshRequest request,
                                     int responseCode,
                                     String responseData,
                                     Element response)
                              throws JaxmppException

      Overrides:
        `onTerminate` in class `AbstractBoshConnector`
      Throws:
        `JaxmppException`

    - #### handleSeeOtherHost

          protected boolean handleSeeOtherHost(Element response)
                                        throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2016 Tigase. All rights reserved.